<?php
defined( '_AMAZOOP' ) or die( 'Direct Access to this location is not allowed.' );
/**
 * This file contains all, at least in theory, of properties that can be configured
 * in amazOOP.
 *
 * It is divided in two parts:
 * - one you <i>must</i> modify to get amazOOP to work on your server, and
 * - one you should only touch <b>if you know</b> what you are doing!
 *
 * @author Mauricio Diaz <madd0@users.sourceforge.net>
 * @copyright 2004 (c) Mauricio Diaz Orlich
 * @license http://www.gnu.org/licenses/gpl.html GNU Public License
 * @version 0.3
 *
 * @package amazOOP
 * @subpackage Configuration
 */

$_AMAZOOP_CONFIG = array( 'address'                   => array('test' => 'test.madd0.com',
                                                               'def'  => 'www.amazon-noir.net'),
                          'path_to_script'            => array('test' => 'c:\\My Websites\\madd0mall\\include\\amazoop\\',
                                                               'def'  => '/home/content/b/i/d/bidibid/html/amazon/amazoop/'),
                          'close_tag_character'       => array('test' => 'xhtml',
                                                               'def'  => 'xhtml'),
                          'file_separator'            => array('test' => 'windows',
                                                               'def'  => 'unix'),
                          'UTF-8_encode'              => array('test' => 'true',
                                                               'def'  => 'true'),
                          'open_links_in'             => array('test' => 'same',
                                                               'def'  => 'new'),
                          'log_errors'                => array('test' => 'false',
                                                               'def'  => 'false'),
                          'log_requests'              => array('test' => 'true',
                                                               'def'  => 'true'),
                          'temporary_directory'       => array('test' => 'tmp',
                                                               'def'  => 'tmp'),
                          'cache_directory'           => array('test' => 'cache',
                                                               'def'  => 'cache'),
                          'max_request_log_size'      => array('test' => '2000',
                                                               'def'  => '2000'),
                          'max_error_log_size'        => array('test' => '2000',
                                                               'def'  => '2000'),
                          'request_log_file'          => array('test' => 'requests.log',
                                                               'def'  => 'requests.log'),
                          'error_log_file'            => array('test' => 'error.log',
                                                               'def'  => 'error.log'),
                          'timestamp_file'            => array('test' => 'time.stamp',
                                                               'def'  => 'time.stamp'),
                          'XML_template'              => array('test' => 'feed.xml',
                                                               'def'  => 'feed.xml'),
                          'check_alternative_images'  => array('test' => '3',
                                                               'def'  => '4'),
                        );

$_AMAZOOP_ASSOC_IDS = array( 'us' => 'madd0inc',
                             'uk' => 'madd0mall',
                             'fr' => 'themadd0mall-21',
                             'de' => 'dermadd0mall',
                             'jp' => 'themadd0mall-22',
                             'ca' => 'themadd0mall-20'
                           );

$_AMAZOOP_DEFAULT_IMAGES = array( 'small'  => array( 'url'    => '/images/mall/NASmall.gif',
                                                     'width'  => '60',
                                                     'height' => '60'),
                                  'medium' => array( 'url'    => '/images/mall/NAMedium.gif',
                                                     'width'  => '130',
                                                     'height' => '130'),
                                  'large'  => array( 'url'    => '/images/mall/NALarge.gif',
                                                     'width'  => '295',
                                                     'height' => '500')
                                );

$_AMAZOOP_MEDIA_IMAGES = array( 'DVD'       => array( 'url'    => '/images/platforms/dvd.gif',
                                                      'width'  => '35',
                                                      'height' => '19'),
                                'VHS'       => array( 'url'    => '/images/platforms/vhs.gif',
                                                      'width'  => '35',
                                                      'height' => '18'),
                                'dreamcast' => array( 'url'    => '/images/platforms/dreamcast.gif',
                                                      'width'  => '133',
                                                      'height' => '23'),
                                'gamecube'  => array( 'url'    => '/images/platforms/gcube.gif',
                                                      'width'  => '20',
                                                      'height' => '23'),
                                'linux'     => array( 'url'    => '/images/platforms/linux.gif',
                                                      'width'  => '20',
                                                      'height' => '20'),
                                'PS2'       => array( 'url'    => '/images/platforms/ps2.gif',
                                                      'width'  => '20',
                                                      'height' => '20'),
                                'windows'   => array( 'url'    => '/images/platforms/windows.gif',
                                                      'width'  => '20',
                                                      'height' => '20'),
                                'xbox'      => array( 'url'    => '/images/platforms/xbox.gif',
                                                      'width'  => '20',
                                                      'height' => '20'),
                                'mac_OS'    => array( 'url'    => '/images/platforms/mac.gif',
                                                      'width'  => '20',
                                                      'height' => '20')
                              );

$_AMAZOOP_BUYNOW_BUTTONS = array( 'us' => array( 'url'    => '/images/mall/buttons/buyNowUS.gif',
                                                 'width'  => '165',
                                                 'height' => '19'),
                                  'uk' => array( 'url'    => '/images/mall/buttons/buyNowUK.gif',
                                                 'width'  => '165',
                                                 'height' => '19'),
                                  'de' => array( 'url'    => '/images/mall/buttons/buyNowDE.gif',
                                                 'width'  => '165',
                                                 'height' => '19'),
                                  'jp' => array( 'url'    => '/images/mall/buttons/buyNowJP.gif',
                                                 'width'  => '165',
                                                 'height' => '19')
                                 );?>