<?php


/*********************************************************************/
/*********************************************************************/

function make_pdf($isbn,$title_book,$link_amazon,$name_book,$cover_jpg,$data,$file_name_def){

	/*******************************/
	/******* fai cover *************/	 
    $new_cover_jpg="./books_pdf/".$isbn.".jpg";	
	$new_cover_gif="./books_pdf/".$isbn.".gif";	
	
	$content = file_get_contents($cover_jpg);
	
	if(strstr($content,"GIF87"))
	 	$new_cover=$new_cover_gif;
	else	
	    $new_cover=$new_cover_jpg;	
		
	$fp = fopen($new_cover, 'w');
	fwrite($fp, $content);
	fclose($fp);

	if(strstr($content,"GIF87"))	
		gif2jpeg($new_cover_gif, $new_cover_jpg);
	/*******************************/		
	/*******************************/
		
	$name_book="<a href=".$link_amazon.">".$name_book."</a>"; 
	
						/** pulisci libro da metadata ******/
					$data = str_replace("<-start page->".$title_book, "<-start page->", $data);
					$data = str_replace($title_book."<--end page-->", "", $data);
					$data = str_replace("<--end page-->", "", $data);
					$data = str_replace("-><-#-> ", "-><i>", $data);
					$data = str_replace(".<-#->", "</i><br><br>", $data);
					$data = str_replace("<-_pp->", "", $data);
					$data = str_replace("<-_in->", "<i> From Index </i>", $data);
					$data = str_replace("<-_fm->", "<i> Front Matter </i>", $data);
					$data = str_replace("<-_bm->", "<i> Back Matter </i>", $data);
					$data = str_replace("<-_tb->", "<i> Table Content </i>", $data);
					$data = str_replace("<-_fc->", "<i> Front Cover </i>", $data);
					$data = str_replace("<-_bc->", "<i> Back Cover </i>", $data);
					$data = str_replace("<-_ff->", "<i> Front Flap </i>", $data);
					$data = str_replace("<-_bf->", "<i> Back Flap </i>", $data);
					$data = str_replace("<-_ex->", "<i> Exerpt </i>", $data);
				    $data = str_replace("<-_co->", "<i> Copyright </i>", $data);
					
				
	//echo $data;				
	/******* fai pdf ***************/
	$pdf=new PDF();

	$pdf->AddPage();
	$pdf->SetFont('Arial','',16);
	$pdf->WriteHTML($name_book);
	/*******************************/	
		$pdf->Image($new_cover_jpg,10,60,100,0,'',$link_amazon);
	/*******************************/		
	$pdf->SetFont('');
	
	$all_pages=explode("<-start page->",$data);
	
	for($t=0;$t<count($all_pages);$t++){
		$content=str_replace("<--start page-->", "", $all_pages[$t]);	
		if($content!="" and strstr($content,"Page")){
			$pdf->AddPage();
			$pdf->SetLeftMargin(10);
			$pdf->SetFontSize(12);			
			$pdf->WriteHTML($content);
			$pdf->SetFont('');
		}
	}
	
	$pdf->Output($file_name_def,'F');
	
	if(file_exists($new_cover_gif))
		unlink($new_cover_gif);	
	/*******************************

/*******************************/
		
}
/*********************************************************************/
/*********************************************************************/
/*********************************************************************/

function send_book($to, $subject, $message, $filename){ 

$message= " Have good reading !! \r\r".$message."\r\r";
$email_from = "\"Amazon Noir\" <crime@amazon-noir.com>"; // Who the email is from 

$fileatt = $filename; // Path to the file    
/*********************************************************************/
if(strstr($filename,".pdf"))
	$fileatt_type = "application/octet-stream"; // File Type 
else
	$fileatt_type = "text/html"; // File Type 	
/*********************************************************************/
$fileatt_name = str_replace("books_pdf", "", $filename); // Filename that will be used for the file as the attachment 
$email_subject = $subject; // The Subject of the email 
$email_message = $message; // Message that the email has in it 
$email_to = $to; // Who the email is too 

$headers = "From: ".$email_from;

$semi_rand = md5(time()); 
$mime_boundary = "==Multipart_Boundary_x{$semi_rand}x"; 
   
$headers .= "\nMIME-Version: 1.0\n" . 
            "Content-Type: multipart/mixed;\n" . 
            " boundary=\"{$mime_boundary}\""; 
$email_message .= "This is a multi-part message in MIME format.\n\n" . 
                "--{$mime_boundary}\n" . 
                "Content-Type:text/html; charset=\"iso-8859-1\"\n" . 
               "Content-Transfer-Encoding: 7bit\n\n" . 
$email_message . "\n\n"; 

$file = fopen($fileatt,'rb'); 
$data = fread($file,filesize($fileatt)); 
fclose($file); 

$data = chunk_split(base64_encode($data)); 

$email_message .= "--{$mime_boundary}\n" . 
                  "Content-Type: {$fileatt_type};\n" . 
                  " name=\"{$fileatt_name}\"\n" . 
                  //"Content-Disposition: attachment;\n" . 
                  //" filename=\"{$fileatt_name}\"\n" . 
                  "Content-Transfer-Encoding: base64\n\n" . 
                 $data . "\n\n" . 
                  "--{$mime_boundary}\n"; 

// To add more files just copy the file section again, but make sure they are all one after the other! If they are not it will not work!


	mail($email_to, $email_subject, $email_message, $headers); 


}
/******************************************************/
/******************************************************/

require('./fpdf/fpdf.php');

class PDF extends FPDF
{
var $B;
var $I;
var $U;
var $HREF;

function PDF($orientation='P',$unit='mm',$format='A4')
{
    //Call parent constructor
    $this->FPDF($orientation,$unit,$format);
    //Initialization
    $this->B=0;
    $this->I=0;
    $this->U=0;
    $this->HREF='';
}

function WriteHTML($html)
{
    //HTML parser
    $html=str_replace("\n",' ',$html);
    $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
    foreach($a as $i=>$e)
    {
        if($i%2==0)
        {
            //Text
            if($this->HREF)
                $this->PutLink($this->HREF,$e);
            else
                $this->Write(5,$e);
        }
        else
        {
            //Tag
            if($e{0}=='/')
                $this->CloseTag(strtoupper(substr($e,1)));
            else
            {
                //Extract attributes
                $a2=explode(' ',$e);
                $tag=strtoupper(array_shift($a2));
                $attr=array();
                foreach($a2 as $v)
                    if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
                        $attr[strtoupper($a3[1])]=$a3[2];
                $this->OpenTag($tag,$attr);
            }
        }
    }
}

function OpenTag($tag,$attr)
{
    //Opening tag
    if($tag=='B' or $tag=='I' or $tag=='U')
        $this->SetStyle($tag,true);
    if($tag=='A')
        $this->HREF=$attr['HREF'];
    if($tag=='BR')
        $this->Ln(5);
}

function CloseTag($tag)
{
    //Closing tag
    if($tag=='B' or $tag=='I' or $tag=='U')
        $this->SetStyle($tag,false);
    if($tag=='A')
        $this->HREF='';
}

function SetStyle($tag,$enable)
{
    //Modify style and select corresponding font
    $this->$tag+=($enable ? 1 : -1);
    $style='';
    foreach(array('B','I','U') as $s)
        if($this->$s>0)
            $style.=$s;
    $this->SetFont('',$style);
}

function PutLink($URL,$txt)
{
    //Put a hyperlink
    $this->SetTextColor(0,0,255);
    $this->SetStyle('U',true);
    $this->Write(5,$txt,$URL);
    $this->SetStyle('U',false);
    $this->SetTextColor(0);
}
}

/*********************************************************************/
function gif2jpeg($p_ff, $p_new_ff='', $bgcolor=false){
  list($wd, $ht, $tp, $at)=getimagesize($p_ff);
  $img_src=imagecreatefromgif($p_ff);
  $img_dst=imagecreatetruecolor($wd,$ht);
  $clr['red']=255;
  $clr['green']=255;
  $clr['blue']=255;
  if(is_array($bgcolor)) $clr=$bgcolor;
  $kek=imagecolorallocate($img_dst,
                 $clr['red'],$clr['green'],$clr['blue']);
  imagefill($img_dst,0,0,$kek);
  imagecopyresampled($img_dst, $img_src, 0, 0,
                 0, 0, $wd, $ht, $wd, $ht);
  $draw=true;
  if(strlen($p_new_ff)>0){
   if($hnd=fopen($p_new_ff,'w')){
     $draw=false;
     fclose($hnd);
   }
  }
  if(true==$draw){
   header("Content-type: image/jpeg");
   imagejpeg($img_dst);
  }else imagejpeg($img_dst, $p_new_ff);
  imagedestroy($img_dst);
  imagedestroy($img_src);
}
/*********************************************************************/
/*********************************************************************/
function setImageSize($image_file,$lnaxSize) {
            // $lnaxSize = 100; // set this varible to max width or height
            $image_size = getimagesize($image_file,$image_info);
            $width = $image_size[0];
            $height = $image_size[1];
            if($width > $lnaxSize || $height > $lnaxSize) {
                if($width > $lnaxSize) {
                      $z = $width;
                      $i = 0;
                         while($z > $lnaxSize) {
                                  --$z; ++$i;
                                }
                         $imgSizeArray[0] = $z;
                         $imgSizeArray[1] = $height - ($height * ($i / $width));
                         } else {
                                $z = $height;
                                $i = 0;
                                while($z > $lnaxSize) {
                                  --$z; ++$i;
                           }
                           $imgSizeArray[0] = $width - ($width * ($i / $height));
                           $imgSizeArray[1] = $z;
                              }
                          } else {
                             $imgSizeArray[0] = $width;
                             $imgSizeArray[1] = $height;
                          }
                          return $imgSizeArray;
                        }
/*********************************************************************//*********************************************************************/

?>

